amd-opencl-icd-legacy_8.97.100.7-3~bpo70+1_amd64.deb


Advertisement

Description

amd-opencl-icd-legacy - AMD OpenCL ICD (legacy)

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Backports Nonfree amd64
Package filename amd-opencl-icd-legacy_8.97.100.7-3~bpo70+1_amd64.deb
Package name amd-opencl-icd-legacy
Package version 8.97.100.7
Package release 3~bpo70+1
Package architecture amd64
Package type deb
Homepage -
License -
Maintainer -
Download size 7.75 MB
Installed size 33.46 KB
OpenCL (Open Computing Language) is a multivendor open standard for
general-purpose parallel programming of heterogeneous systems that include
CPUs, GPUs and other processors.
This package provides the AMD installable client driver (ICD) for OpenCL
which supports AMD GPUs (requires the fglrx driver) as well as CPUs (from
any vendor, no driver required).
This legacy driver release supports the following graphics adapter families:
AMD Radeon HD 4000, AMD Radeon HD 3000, and AMD Radeon HD 2000.

Alternatives

Package Version Architecture Repository
amd-opencl-icd-legacy_8.97.100.7-3~bpo70+1_i386.deb 8.97.100.7 i386 Debian Backports Nonfree
amd-opencl-icd-legacy - - -

Requires

Name Value
libc6 >= 2.3.3
libgcc1 >= 1:4.1.1
libopencl1 -
libstdc++6 >= 4.1.1
multiarch-support -

Provides

Name Value
amd-opencl-icd-virtual -
opencl-icd -

Conflicts

Name Value
amd-app -
amd-opencl-icd-ia32 -
amd-opencl-icd-virtual -

Replaces

Name Value
amd-opencl-icd-virtual -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package amd-opencl-icd-legacy_8.97.100.7-3~bpo70+1_amd64.deb
Source Package fglrx-legacy-driver

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    deb http://ftp.debian.org/debian/ wheezy-backports non-free
  2. Update the package index:
    # sudo apt-get update
  3. Install amd-opencl-icd-legacy deb package:
    # sudo apt-get install amd-opencl-icd-legacy

Files

Path
/etc/OpenCL/vendors/amdocl64.icd
/usr/lib/x86_64-linux-gnu/libSlotMaximizerAg.so
/usr/lib/x86_64-linux-gnu/libSlotMaximizerBe.so
/usr/lib/x86_64-linux-gnu/libamdocl64.so
/usr/share/bug/amd-opencl-icd-legacy
/usr/share/doc/amd-opencl-icd-legacy/changelog.Debian.gz
/usr/share/doc/amd-opencl-icd-legacy/copyright
/usr/share/lintian/overrides/amd-opencl-icd-legacy

Changelog

2013-05-16 - Andreas Beckmann <anbe@debian.org>
fglrx-legacy-driver (8.97.100.7-3~bpo70+1) wheezy-backports; urgency=low
* Rebuild for wheezy-backports.
2013-05-11 - Andreas Beckmann <anbe@debian.org>
fglrx-legacy-driver (8.97.100.7-3) unstable; urgency=low
* Rename the binary packages that are currently not built from this source
to avoid the potential conflict that prevented autobuilding.
(Closes: #707694)
2013-05-05 - Andreas Beckmann <anbe@debian.org>
fglrx-legacy-driver (8.97.100.7-2) unstable; urgency=low
* Merged from fglrx-driver:
- Add patch 06-stub-for-agpless-kernel to add stub for missing symbol for
kernels built without CONFIG_AGP.
- Add new atigetsysteminfo.sh script.
- Drop Conflicts/Breaks/Replaces that are satisfied in wheezy.
- Drop versioned Pre-Depends on dpkg. We only support installing on and
upgrading from wheezy or newer.
- Use canonical Vcs-* URLs.
- Simplify importing signature files.
* Upload to unstable.
2013-02-15 - Andreas Beckmann <anbe@debian.org>
fglrx-legacy-driver (8.97.100.7-1) experimental; urgency=low
* New Catalyst Legacy 13.1 Release (2013-01-21).
* Merged from fglrx-driver:
- Update my email address.
- Debconf translation updates.
- Add patch 04-linux-3.7 to fix a FTBFS with Linux 3.7.  (Closes: #697515)
- Add patch 05-linux-3.8 to add Linux 3.8 support.
- Add new atigetsysteminfo.sh script.
- Bump glx-alternative-fglrx dependency for new blacklist handling.
- Purging fglrx-driver is no longer required for switching to Radeon.
- debian/rules get-orig-source: Adjust for upstream changing the naming
and versioning scheme.
- Repack into .xz.
- Switch .deb compression to xz.
- libgl1-fglrx-legacy-glx:i386: Breaks: ia32-libs (<< 1:0).
- Remove DM-Upload-Allowed control field, it is obsolete.
- Bump Standards-Version to 3.9.4 (no changes needed).
* debian/watch, debian/rules: Adjust for new upstream release naming scheme.
2012-09-10 - Andreas Beckmann <debian@abeckmann.de>
fglrx-legacy-driver (8.97.100.3+1-1) experimental; urgency=low
* New Catalyst Legacy 12.6 Release (2012-07-24).
- Upstream changed zipfile content but neither name nor internal version.
- Comes with a proper signature.  (Closes: #684702)
* http://support.amd.com/us/gpudownload/linux/legacy/Pages/legacy-radeon_linux.aspx
* Update Homepage to point to the legacy driver.
* Merged from fglrx-driver:
- fglrx-source: Add Built-Using attribute to the generated module packages
to record the exact versions of linux and fglrx-driver that were used
during the build.
- libgl1-fglrx-glx:i386: Add Breaks: ia32-libs (<< 20120701) because that
is still shipping /usr/lib32/libGL.so.1 which gets no longer diverted
away.
- fglrx-atieventsd: Add Depends: glx-alternative-fglrx to ensure the
triggers are processed and the glx alternative is properly setup before
the atieventsd is started.  (Closes: #684000)
- Check for "UNSIGNED" in /etc/ati/signature during package build to
prevent reappearence of bugs like #684702.
- README.Debian: Add link to unofficial bugzilla for upstream bug reports.

See Also

Package Description
amd-opencl-icd_15.9-4~deb8u1~bpo70+1_amd64.deb non-free AMD OpenCL ICD Loaders
amd64-microcode_2.20160316.1~bpo70+1_amd64.deb Processor microcode firmware for AMD CPUs
astromenace-data-src_1.3.2+repack-1~bpo70+1_all.deb data files for AstroMenace game
dynamips_0.2.14-1~bpo70+1_amd64.deb Cisco 7200/3600/3725/3745/2600/1700 Router Emulator
elmer-doc_2014.02.06-1~bpo70+1_all.deb Elmer multiphysics FEA package documentation
fex-utils_20140917-1~bpo70+1_all.deb web service for transferring very large files (utils)
fex_20140917-1~bpo70+1_all.deb web service for transferring very large files
fglrx-atieventsd_15.9-4~deb8u1~bpo70+1_amd64.deb events daemon for the non-free ATI/AMD RadeonHD display driver
fglrx-control_15.9-4~deb8u1~bpo70+1_amd64.deb control panel for the non-free ATI/AMD RadeonHD display driver
fglrx-driver_15.9-4~deb8u1~bpo70+1_amd64.deb non-free ATI/AMD RadeonHD display driver
fglrx-legacy-atieventsd_8.97.100.7-3~bpo70+1_amd64.deb events daemon for the non-free ATI/AMD RadeonHD display driver (legacy)
fglrx-legacy-control_8.97.100.7-3~bpo70+1_amd64.deb control panel for the non-free ATI/AMD RadeonHD display driver (legacy)
fglrx-legacy-driver_8.97.100.7-3~bpo70+1_amd64.deb non-free ATI/AMD RadeonHD display driver (legacy)
fglrx-legacy-modules-dkms_8.97.100.7-3~bpo70+1_amd64.deb dkms module source for the non-free ATI/AMD RadeonHD display driver (legacy)
fglrx-legacy-source_8.97.100.7-3~bpo70+1_amd64.deb kernel module source for the non-free ATI/AMD RadeonHD display driver (legacy)
Advertisement
Advertisement